Bug 31519 - [915 TV(integrated)] querying Randr-information enables LVDS output due to spurious transient TV detection
[915 TV(integrated)] querying Randr-information enables LVDS output due to sp...
Product: DRI
Classification: Unclassified
Component: DRM/Intel
x86 (IA32) Linux (All)
: medium normal
Assigned To: Paulo Zanoni
Intel GFX Bugs mailing list
Depends on:
  Show dependency treegraph
Reported: 2010-11-09 23:56 UTC by Uwe Kleine-König
Modified: 2012-12-11 19:46 UTC (History)
5 users (show)

See Also:
i915 platform:
i915 features:

dmesg (29.60 KB, text/plain)
2010-11-10 00:24 UTC, Uwe Kleine-König
no flags Details
dmesg with drm.debug=0xe (186.10 KB, text/plain)
2011-02-03 01:57 UTC, Uwe Kleine-König
no flags Details
fixup TV load detect (4.75 KB, patch)
2012-11-13 13:21 UTC, Daniel Vetter
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Uwe Kleine-König 2010-11-09 23:56:32 UTC
Chipset: 915GM
System arch: i686
Distribution: Debian
Machine: Thinkpad X41
related packages:
  libdrm-intel1: 2.4.22-2
  xserver-xorg: 1:7.5+7
  xserver-xorg-core: 2:1.7.7-8
  xserver-xorg-video-intel: 2:2.13.0-2
  linux-image-2.6.36-trunk-686: 2.6.36-1~experimental.1

When I run

    xrandr --output LVDS1 --off

the LVDS output goes off (as expected), but then running


reenables it again (and thus behaves like

    xrandr --auto

).  This didn't happen on Debian's linux-image-2.6.32-5-686 (2.6.32-27) kernel.
Comment 1 Uwe Kleine-König 2010-11-10 00:24:31 UTC
Created attachment 40174 [details]

As requested by ickle in #intel-gfx the resulting kernel messages after:

  # echo 0xe > /sys/module/drm/parameters/debug
  $ xrandr --output LVDS1 --off
  $ xrandr
  # echo 0 > /sys/module/drm/parameters/debug
Comment 2 Chris Wilson 2010-11-10 06:18:21 UTC
Spurious SDVO TV detection. It comes, it goes, the display is reconfigured.
Comment 3 Chris Wilson 2011-02-01 04:42:26 UTC
This [applied to -fixes] should fix the transient SDVO detections:

commit d121a5d2a098ba6dd033dd195f5ccbf7558c37b6
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Tue Jan 25 15:00:01 2011 +0000

    drm/i915/sdvo: If at first we don't succeed in reading the response, wait
    We were not pausing after detecting the response was pending and so did
    not allow the hardware sufficient time to complete before aborting. This
    lead to transient failures whilst probing SDVO devices.
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=30235
    Reported-by: Knut Petersen <Knut_Petersen@t-online.de>
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
Comment 4 Uwe Kleine-König 2011-02-01 11:45:32 UTC
Just tested current -fixes and this isn't resolved for me.
Comment 5 Chris Wilson 2011-02-01 11:58:52 UTC
Can you attach the debug dmesg from early in the boot? I confused the integrated TV with an SDVO TV device on another bug, and I may have done the same here as well...
Comment 6 Uwe Kleine-König 2011-02-03 01:57:41 UTC
Created attachment 42888 [details]
dmesg with drm.debug=0xe

for your rainy afternoons :-)
Comment 7 Chris Wilson 2011-07-10 06:08:20 UTC
One workaround would be to pass video=SVIDEO-1:d on the boot commandline. (Just fyi.)
Comment 8 Daniel Vetter 2012-11-13 13:21:43 UTC
Created attachment 70005 [details] [review]
fixup TV load detect

While strolling through docs I've noticed that we don't implement TV load detection according to what docs would have us do.

This patch attempts to fix that, but due to lack of hw totally untested. Testing feedback highly welcome.
Comment 9 Jani Nikula 2012-12-10 14:07:52 UTC
(In reply to comment #8)
> This patch attempts to fix that, but due to lack of hw totally untested.
> Testing feedback highly welcome.

Comment 10 Jesse Barnes 2012-12-11 19:46:54 UTC
It must be fixed, right Uwe? :)